Index: /palm/trunk/SOURCE/module_interface.f90
===================================================================
--- /palm/trunk/SOURCE/module_interface.f90	(revision 4752)
+++ /palm/trunk/SOURCE/module_interface.f90	(revision 4753)
@@ -1,20 +1,19 @@
 !> @file module_interface.f90
-!------------------------------------------------------------------------------!
-! This file is part of PALM.
-!
-! PALM is free software: you can redistribute it and/or modify it under the
-! terms of the GNU General Public License as published by the Free Software
-! Foundation, either version 3 of the License, or (at your option) any later
-! version.
-!
-! PALM is distributed in the hope that it will be useful, but WITHOUT ANY
-! WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-! A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
-!
-! You should have received a copy of the GNU General Public License along with
-! PALM. If not, see <http://www.gnu.org/licenses/>.
+!--------------------------------------------------------------------------------------------------!
+! This file is part of the PALM model system.
+!
+! PALM is free software: you can redistribute it and/or modify it under the terms of the GNU General
+! Public License as published by the Free Software Foundation, either version 3 of the License, or
+! (at your option) any later version.
+!
+! PALM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
+! implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+! Public License for more details.
+!
+! You should have received a copy of the GNU General Public License along with PALM. If not, see
+! <http://www.gnu.org/licenses/>.
 !
 ! Copyright 1997-2020 Leibniz Universitaet Hannover
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 !
 ! Current revisions:
@@ -25,4 +24,7 @@
 ! -----------------
 ! $Id$
+! file re-formatted to follow the PALM coding standard
+!
+! 4731 2020-10-07 13:25:11Z schwenkel
 ! Move exchange_horiz from time_integration to modules
 !
@@ -32,72 +34,70 @@
 ! 4590 2020-07-06 14:34:59Z suehring
 ! Enable mpi-io for biomet
-! 
+!
 ! 4525 2020-05-10 17:05:07Z raasch
 ! added restart I/O for global salsa data,
 ! added restart with MPI-IO for salsa
-! 
+!
 ! 4518 2020-05-04 15:44:28Z suehring
 ! Call of doq_rrd_local enabled
-! 
+!
 ! 4517 2020-05-03 14:29:30Z raasch
 ! added restart with MPI-IO for reading local arrays
-! 
+!
 ! 4514 2020-04-30 16:29:59Z suehring
 ! Added global restart routines for plant-canopy model
-! 
+!
 ! 4495 2020-04-13 20:11:20Z raasch
 ! restart data handling with MPI-IO added
-! 
+!
 ! 4414 2020-02-19 20:16:04Z suehring
 ! Add module interface for basic initialization of numerics.
-! 
+!
 ! 4411 2020-02-18 14:28:02Z maronga
 ! Added output routines for WTM
-! 
+!
 ! 4407 2020-02-13 20:31:44Z knoop
 ! Changed program_debug_output_unit to 9 in dom_init call
-! 
+!
 ! 4400 2020-02-10 20:32:41Z suehring
 ! - Use data-output module for virtual measurement output
 ! - Remove deprecated routines for virtual measurement module
-! 
+!
 ! 4361 2020-01-07 12:22:38Z suehring
 ! Remove unused arrays in pmc_rrd_local
-! 
+!
 ! 4360 2020-01-07 11:25:50Z suehring
 ! Add pcm_rrd_local and pcm_wrd_local
-! 
+!
 ! 4331 2019-12-10 18:25:02Z suehring
-! Change interface for doq_check_data_output, in order to perform further 
-! output checks.
-! 
+! Change interface for doq_check_data_output, in order to perform further output checks.
+!
 ! 4281 2019-10-29 15:15:39Z schwenkel
 ! Added dynamics boundary conditions
-! 
+!
 ! 4272 2019-10-23 15:18:57Z schwenkel
-! Further modularization of boundary conditions: moved boundary conditions to
-! respective modules
+! Further modularization of boundary conditions: moved boundary conditions to respective modules
 !
 ! 4268 2019-10-17 11:29:38Z schwenkel
 ! Introduction of module_interface_boundary_conditions
-! 
+!
 ! 4182 2019-08-22 15:20:23Z scharf
 ! Corrected "Former revisions" section
-! 
+!
 ! 4173 2019-08-20 12:04:06Z gronemeier
 ! add vdi_internal_controls
-! 
+!
 ! 4157 2019-08-14 09:19:12Z suehring
 ! Call doq_init from module interface
-! 
+!
 ! 4132 2019-08-02 12:34:17Z suehring
 ! Bugfix in masked data output for diagnostic quantities
-! 
+!
 ! 4131 2019-08-02 11:06:18Z monakurppa
 ! Add output of 3D plant-canopy outputs (merge from branch resler)
-! 
+!
 ! 4048 2019-06-21 21:00:21Z knoop
 ! Moved turbulence_closure_mod calls into this module_interface
-! 
+!
 ! 4047 2019-06-21 18:58:09Z knoop
 ! Introduction of the dynamics module
@@ -110,8 +110,7 @@
 !
 ! 4017 2019-06-06 12:16:46Z schwenkel
-! local_pf need INTENT(INOUT) attribute rather than INTENT(OUT). This is
-! because INTENT(OUT) sets the array to not-defined. Especially for outputs that
-! are not defined everywhere, e.g. land-surface outputs, this will be
-! problematic as NaN will be output.
+! local_pf need INTENT(INOUT) attribute rather than INTENT(OUT). This is because INTENT(OUT) sets
+! the array to not-defined. Especially for outputs that are not defined everywhere, e.g.
+! land-surface outputs, this will be problematic as NaN will be output.
 !
 ! 3987 2019-05-22 09:52:13Z kanani
@@ -119,10 +118,8 @@
 !
 ! 3956 2019-05-07 12:32:52Z monakurppa
-! - Added calls for salsa_non_advective_processes and
-!   salsa_exchange_horiz_bounds
-! - Moved the call for salsa_data_output_2d/3d before that of
-!   radiation_data_output_2d/3d. radiation_data_output_2d/3d tries to read a
-!   salsa output variable and encounters a segmentation fault for "Ntot" due
-!   to the shortoutput name
+! - Added calls for salsa_non_advective_processes and salsa_exchange_horiz_bounds
+! - Moved the call for salsa_data_output_2d/3d before that of radiation_data_output_2d/3d.
+!   radiation_data_output_2d/3d tries to read a salsa output variable and encounters a segmentation
+!   fault for "Ntot" due to the shortoutput name
 !
 ! 3931 2019-04-24 16:34:28Z schwenkel
@@ -133,6 +130,6 @@
 !
 ! 3887 2019 -04-12 08:47:41Z schwenkel
-! Changes related to global restructuring of location messages and introduction
-! of additional debug messages
+! Changes related to global restructuring of location messages and introduction of additional debug
+! messages
 !
 ! 3880 2019 -04-08 21:43:02Z knoop
@@ -149,7 +146,6 @@
 !
 ! 3766 2019-02-26 16:23:41Z raasch
-! first argument removed from module_interface_rrd_*, statement added to avoid
-! compiler warning about unused variable, file reformatted with respect to coding
-! standards
+! first argument removed from module_interface_rrd_*, statement added to avoid compiler warning
+! about unused variable, file reformatted with respect to coding standards
 !
 ! 3762 2019-02-25 16:54:16Z suehring
@@ -166,6 +162,5 @@
 !
 ! 3735 2019-02-12 09:52:40Z dom_dwd_user
-! Accepting variable j from check_parameters and passing it to
-! bio_check_data_output
+! Accepting variable j from check_parameters and passing it to bio_check_data_output
 ! Add required restart data for surface output module
 !
@@ -189,6 +184,6 @@
 !
 ! 3649 2019-01-02 16:52:21Z suehring
-! Initialize strings, in order to avoid compiler warnings for non-initialized
-! characters with intent(out) attribute
+! Initialize strings, in order to avoid compiler warnings for non-initialized characters with
+! intent(out) attribute
 !
 ! 3648 2019-01-02 16:35:46Z suehring
@@ -202,13 +197,13 @@
 !>
 !> @todo Re-format module to be consistent with coding standard
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  MODULE module_interface
 
-    USE indices,                                                               &
+    USE indices,                                                                                   &
         ONLY:  nbgp, nxl, nxlg, nxr, nxrg, nys, nysg, nyn, nyng, nzb, nzt
 
     USE kinds
 
-    USE pegrid,                                                                &
+    USE pegrid,                                                                                    &
         ONLY:  comm2d
 
